Skip to main content

Resets A records to managed for a specific zone

POST/v2/dns/zones/{zoneId}/recordset/acombined/managed/ingress
API version
v2
Request method
POST
Operation ID
deprecated-dns-record-a-set-managed-by-ingress

Request​

  • zoneIdstring (uuid)required

    the id of the zone you want to set managed

Responses​

Format
application/json
Description

zone set managed by ingressId

  • ingressIdstring (uuid)required
Content-Type: application/json

{
"ingressId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"ingressId": {
"format": "uuid",
"type": "string"
}
},
"required": [
"ingressId"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns/zones/f0f86186-0a5a-45b2-aa33-502777496347/recordset/acombined/managed/ingress
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deprecatedDnsRecordAsetManagedByIngress({
"zoneId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDnsRecordASetManagedByIngress\DeprecatedDnsRecordASetManagedByIngressRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDnsRecordASetManagedByIngress\DeprecatedDnsRecordASetManagedByIngressRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedDnsRecordASetManagedByIngressRequestBody to learn how to construct a valid instance
$body = new DeprecatedDnsRecordASetManagedByIngressRequestBody(/* TODO: ... */);

$request = (new DeprecatedDnsRecordASetManagedByIngressRequest(
zoneId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->domain()->deprecatedDnsRecordAsetManagedByIngress($request);

var_dump($response->getBody();

On this page